com.creamtec.ajaxswing.gui

## Class AjaxSwingFocusEvent

- java.lang.Object
- - java.util.EventObject
  - - java.awt.AWTEvent
    - - java.awt.event.ComponentEvent
      - - java.awt.event.FocusEvent
        - - com.creamtec.ajaxswing.gui.AjaxSwingFocusEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class AjaxSwingFocusEvent
      extends java.awt.event.FocusEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.awt.event.FocusEvent

      `FOCUS_FIRST, FOCUS_GAINED, FOCUS_LAST, FOCUS_LOST`

    - ### Fields inherited from class java.awt.event.ComponentEvent

      `COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`

    - ### Fields inherited from class java.awt.AWTEvent

      `ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingFocusEvent(java.awt.Component source, int id)`
    `AjaxSwingFocusEvent(java.awt.Component source, int id, boolean temporary)`
    `AjaxSwingFocusEvent(java.awt.Component source, int id, boolean temporary, java.awt.Component opposite)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSource(java.lang.Object newSource)` Override to avoid calling super.setSource() AWTEvent.setSource() crashes on AIX in call to nativeSetSource()

    - ### Methods inherited from class java.awt.event.FocusEvent

      `getOppositeComponent, isTemporary, paramString`

    - ### Methods inherited from class java.awt.event.ComponentEvent

      `getComponent`

    - ### Methods inherited from class java.awt.AWTEvent

      `getID, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingFocusEvent

          public AjaxSwingFocusEvent(java.awt.Component source,
                             int id)

    - #### AjaxSwingFocusEvent

          public AjaxSwingFocusEvent(java.awt.Component source,
                             int id,
                             boolean temporary)

    - #### AjaxSwingFocusEvent

          public AjaxSwingFocusEvent(java.awt.Component source,
                             int id,
                             boolean temporary,
                             java.awt.Component opposite)

  - ### Method Detail

    - #### setSource

          public void setSource(java.lang.Object newSource)

      Override to avoid calling super.setSource() AWTEvent.setSource() crashes on AIX in call to nativeSetSource()
      Overrides:
        `setSource` in class `java.awt.AWTEvent`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.